#include<bits/stdc++.h>

using namespace std;

int main()
{
	int n, k, ans = 0;
	cin >> n >> k;
	vector<int> v(n);
	for(auto &i:v) cin >> i;
	sort(v.begin(), v.end());
	int lr = 0, dr = 0;
	if(v[0] < k) lr = k - v[0];
	if(v[n - 1] > k) dr = v[n - 1] - k;
	if(lr < dr) ans = lr * 2 + dr;
	if(lr > dr) ans = dr * 2 + lr;
	cout << ans;
	return 0;
}